#
# spec file for package rubygem-reline
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-reline
VCS: https://src.suse.de/SLFO-pool/rubygem-reline#252c369a5f3d0d969c868d3f23ce086e05952988733ee9d3b7bd0313b147a081
Version:        0.5.10
Release:        160000.1.4
%define mod_name reline
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.6}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://github.com/ruby/reline
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Alternative GNU Readline or Editline implementation by pure Ruby
License:        Ruby

%description
Alternative GNU Readline or Editline implementation by pure Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 dan.cermak@posteo.net
- 0.5.10:
  <!-- Release notes generated using configuration in .github/release.yml at v0.5.10 -->
  [#]# What's Changed
  [#]## ✨ Enhancements
  * Implement re-read-init-file by @ima1zumi in https://github.com/ruby/reline/pull/740
  [#]## 🐛 Bug Fixes
  * Fix vi_yank or vi_delete_meta copies nil bug by @tompng in https://github.com/ruby/reline/pull/726
  * Rerender and enter raw mode again by SIGCONT by @tompng in https://github.com/ruby/reline/pull/727
  * Fix rendering bug of nomultiline prompt by @tompng in https://github.com/ruby/reline/pull/730
  * [HELP WANTED] Try to fix windows and external command bug by @tompng in https://github.com/ruby/reline/pull/734
  * Fix redisplay/insert_text called from pre_input_hook by @tompng in https://github.com/ruby/reline/pull/742
  [#]## 🛠 Other Changes
  * Fix memory leak in setupterm by @peterzhu2118 in https://github.com/ruby/reline/pull/733
  * Accept colon-style hash in test assertion by @tompng in https://github.com/ruby/reline/pull/732
  * Typofix by @hsbt in https://github.com/ruby/reline/pull/737
  * Remove unused variables by @ima1zumi in https://github.com/ruby/reline/pull/739
  * Improve performance of `Reline::Unicode.get_mbchar_width` by @tompng in https://github.com/ruby/reline/pull/632
  * Add test for reset_variables in Reline::Config by @ima1zumi in https://github.com/ruby/reline/pull/741
  * Split render_differential to rendering logic and differential rendering algorithm part by @tompng in https://github.com/ruby/reline/pull/731
  * Prevent a warning for `warning: literal string will be frozen in the … by @ima1zumi in https://github.com/ruby/reline/pull/744
  * Bump version to 0.5.10 by @ima1zumi in https://github.com/ruby/reline/pull/745
  * *Full Changelog**: https://github.com/ruby/reline/compare/v0.5.9...v0.5.10
* Fri Jun 21 2024 dan.cermak@posteo.net
- New upstream release 0.5.9, no changelog found
* Mon Jan 29 2024 dan.cermak@posteo.net
- New upstream release 0.4.2, no changelog found
* Tue Nov 14 2023 dan.cermak@posteo.net
- New upstream release 0.4.0, no changelog found
* Thu Mar 10 2022 mschnitzer@suse.com
- initialize package
